Used Ford F-150 for Sale with Low Mileage inCarthage, NC
Shop with transparent pricing.
Only show listings that include dealer fees- Year:
- 2023
- Make:
- Ford
- Model:
- F-150
- Body type:
- Pickup Truck
- Doors:
- 4 doors
- Drivetrain:
- Four-Wheel Drive
- Engine:
- 420 hp 3.5L V6 Hybrid
- Exterior color:
- Black Metallic
- Combined gas mileage:
- 23 MPG
- Fuel type:
- Hybrid
- Interior color:
- Black
- Transmission:
- Automatic
- Mileage:
- 12,628
- Stock #:
- 9B3814
- VIN:
- 1FTFW1ED1PFD08456


Sponsored by Parks GMC Kernersville
2023 Ford F-150
XLT SuperCrew 4WD
12,628 mi
$40,077
- Year:
- 2023
- Make:
- Ford
- Model:
- F-150
- Body type:
- Pickup Truck
- Doors:
- 4 doors
- Drivetrain:
- Four-Wheel Drive
- Engine:
- 400 hp 5L V8 Flex Fuel Vehicle
- Exterior color:
- White
- Combined gas mileage:
- 19 MPG
- Fuel type:
- Flex Fuel Vehicle
- Interior color:
- Black
- Transmission:
- Automatic
- Mileage:
- 34,662
- Stock #:
- ST2262
- VIN:
- 1FTFW1E57PKG07742

Sponsored Listing
2023 Ford F-150
XLT SuperCrew 4WD
34,662 mi
$43,596
- Year:
- 2024
- Make:
- Ford
- Model:
- F-150
- Body type:
- Pickup Truck
- Doors:
- 4 doors
- Drivetrain:
- Four-Wheel Drive
- Engine:
- 430 hp 3.5L V6 Hybrid
- Exterior color:
- Blue Metallic
- Combined gas mileage:
- 23 MPG
- Fuel type:
- Hybrid
- Interior color:
- Java
- Transmission:
- Automatic
- Mileage:
- 26,597
- Stock #:
- RFB65315
- VIN:
- 1FTFW6LD8RFB65315

Sponsored Listing
2024 Ford F-150
King Ranch SuperCrew 4WD
26,597 mi
$58,422
- Year:
- 2026
- Make:
- Ford
- Model:
- F-150
- Body type:
- Pickup Truck
- Doors:
- 4 doors
- Drivetrain:
- Four-Wheel Drive
- Engine:
- 400 hp 3.5L V6
- Exterior color:
- Agate Black Metallic
- Combined gas mileage:
- 20 MPG
- Fuel type:
- Gasoline
- Interior color:
- Black W/Medium Dark Slate
- Transmission:
- Automatic
- Mileage:
- 5
- Stock #:
- 26B11965
- VIN:
- 1FTFX3L88TKD36528

2026 Ford F-150
XLT SuperCab 4WD
New car
MSRP $56,950
$48,192
- Year:
- 2026
- Make:
- Ford
- Model:
- F-150
- Body type:
- Pickup Truck
- Doors:
- 4 doors
- Drivetrain:
- Four-Wheel Drive
- Engine:
- 325 hp 2.7L V6
- Exterior color:
- Agate Black Metallic
- Combined gas mileage:
- 20 MPG
- Fuel type:
- Gasoline
- Interior color:
- Black
- Transmission:
- Automatic
- Mileage:
- 12
- Stock #:
- 26B12649
- VIN:
- 1FTEW2LP9TKE49923

2026 Ford F-150
STX SuperCrew 4WD
New car
MSRP $52,040
$45,192
- Year:
- 2026
- Make:
- Ford
- Model:
- F-150
- Body type:
- Pickup Truck
- Doors:
- 4 doors
- Drivetrain:
- Four-Wheel Drive
- Engine:
- 325 hp 2.7L V6
- Exterior color:
- Avalanche
- Combined gas mileage:
- 20 MPG
- Fuel type:
- Gasoline
- Interior color:
- Black
- Transmission:
- Automatic
- Mileage:
- 6
- Stock #:
- T68153
- VIN:
- 1FTEW2LP2TFB96100

2026 Ford F-150
STX SuperCrew 4WD
New car
MSRP $55,965
$44,002
- Year:
- 2023
- Make:
- Ford
- Model:
- F-150
- Body type:
- Pickup Truck
- Doors:
- 4 doors
- Drivetrain:
- Four-Wheel Drive
- Engine:
- 450 hp 3.5L V6
- Exterior color:
- Agate Black Metallic
- Combined gas mileage:
- 16 MPG
- Fuel type:
- Gasoline
- Interior color:
- Black
- Transmission:
- Automatic
- Mileage:
- 9,685
- Stock #:
- DTH7537A
- VIN:
- 1FTFW1RG6PFA12935

2023 Ford F-150
Raptor SuperCrew 4WD
9,685 mi
$68,685
- Year:
- 2026
- Make:
- Ford
- Model:
- F-150
- Body type:
- Pickup Truck
- Doors:
- 4 doors
- Drivetrain:
- Four-Wheel Drive
- Engine:
- 325 hp 2.7L V6
- Exterior color:
- Gray
- Combined gas mileage:
- 20 MPG
- Fuel type:
- Gasoline
- Transmission:
- Automatic
- Mileage:
- 0
- Stock #:
- T2503
- VIN:
- 1FTEW2LP4TFC44714

-$3,000
2026 Ford F-150
STX SuperCrew 4WD
New car
MSRP $55,570
$52,456
$49,456
- Year:
- 2025
- Make:
- Ford
- Model:
- F-150
- Body type:
- Pickup Truck
- Doors:
- 4 doors
- Drivetrain:
- 4X2
- Engine:
- 325 hp 2.7L V6
- Exterior color:
- Oxford White
- Combined gas mileage:
- 22 MPG
- Fuel type:
- Gasoline
- Interior color:
- Black
- Transmission:
- Automatic
- Mileage:
- 6
- Stock #:
- F25232
- VIN:
- 1FTEX2KP8SKF22907

2025 Ford F-150
STX SuperCab LB RWD
New car
MSRP $44,610
$36,577
- Year:
- 2026
- Make:
- Ford
- Model:
- F-150
- Body type:
- Pickup Truck
- Doors:
- 4 doors
- Drivetrain:
- 4X2
- Engine:
- 325 hp 2.7L V6
- Exterior color:
- Avalanche
- Combined gas mileage:
- 22 MPG
- Fuel type:
- Gasoline
- Interior color:
- Black
- Transmission:
- Automatic
- Mileage:
- 7
- Stock #:
- T68171
- VIN:
- 1FTEW2KP6TFC37460

2026 Ford F-150
STX SuperCrew RWD
New car
MSRP $52,085
$41,298
- Year:
- 2026
- Make:
- Ford
- Model:
- F-150
- Body type:
- Pickup Truck
- Doors:
- 4 doors
- Drivetrain:
- 4X2
- Engine:
- 325 hp 2.7L V6
- Exterior color:
- Gray Metallic
- Combined gas mileage:
- 22 MPG
- Fuel type:
- Gasoline
- Interior color:
- Black
- Transmission:
- Automatic
- Mileage:
- 3
- Stock #:
- T68179
- VIN:
- 1FTEW2KP3TKF42924

-$1,000
2026 Ford F-150
STX SuperCrew RWD
New car
MSRP $51,690
$40,938
$39,938
- Year:
- 2026
- Make:
- Ford
- Model:
- F-150
- Body type:
- Pickup Truck
- Doors:
- 4 doors
- Drivetrain:
- 4X2
- Engine:
- 325 hp 2.7L V6
- Exterior color:
- Black Metallic
- Combined gas mileage:
- 22 MPG
- Fuel type:
- Gasoline
- Interior color:
- Black
- Transmission:
- Automatic
- Mileage:
- 728
- Stock #:
- RFB33011X
- VIN:
- 1FTEW2KP5TFB33011

2026 Ford F-150
STX SuperCrew RWD
New car
MSRP $51,690
$38,488
- Year:
- 2026
- Make:
- Ford
- Model:
- F-150
- Body type:
- Pickup Truck
- Doors:
- 4 doors
- Drivetrain:
- Four-Wheel Drive
- Engine:
- 400 hp 5L V8
- Exterior color:
- Carbonized Gray Metallic
- Combined gas mileage:
- 20 MPG
- Fuel type:
- Gasoline
- Interior color:
- Black
- Transmission:
- Automatic
- Mileage:
- 11
- Stock #:
- RFC26390
- VIN:
- 1FTFW3L51TFC26390

2026 Ford F-150
XLT SuperCrew 4WD
New car
MSRP $70,220
$57,064
- Year:
- 2026
- Make:
- Ford
- Model:
- F-150
- Body type:
- Pickup Truck
- Doors:
- 4 doors
- Drivetrain:
- Four-Wheel Drive
- Engine:
- 430 hp 3.5L V6 Hybrid
- Exterior color:
- Star White Metallic Tri-Coat
- Combined gas mileage:
- 23 MPG
- Fuel type:
- Hybrid
- Interior color:
- Java
- Transmission:
- Automatic
- Mileage:
- 7
- Stock #:
- 20F38381
- VIN:
- 1FTFW6LD4TFC38381

2026 Ford F-150
King Ranch SuperCrew 4WD
New car
MSRP $82,530
$73,829
- Year:
- 2026
- Make:
- Ford
- Model:
- F-150
- Body type:
- Pickup Truck
- Doors:
- 4 doors
- Drivetrain:
- Four-Wheel Drive
- Engine:
- 325 hp 2.7L V6
- Exterior color:
- Oxford White
- Combined gas mileage:
- 20 MPG
- Fuel type:
- Gasoline
- Interior color:
- Black
- Transmission:
- Automatic
- Mileage:
- 11
- Stock #:
- RFE64211
- VIN:
- 1FTEW2LP5TKE64211

2026 Ford F-150
STX SuperCrew 4WD
New car
MSRP $53,865
$42,064
- Year:
- 2026
- Make:
- Ford
- Model:
- F-150
- Body type:
- Pickup Truck
- Doors:
- 4 doors
- Drivetrain:
- 4X2
- Engine:
- 325 hp 2.7L V6
- Exterior color:
- Carbonized Gray Metallic
- Combined gas mileage:
- 22 MPG
- Fuel type:
- Gasoline
- Interior color:
- Black
- Transmission:
- Automatic
- Mileage:
- 11
- Stock #:
- RFC45130
- VIN:
- 1FTEW2KP3TFC45130

-$7,695
2026 Ford F-150
STX SuperCrew RWD
New car
MSRP $51,690
$47,259
$39,564
- Year:
- 2025
- Make:
- Ford
- Model:
- F-150
- Body type:
- Pickup Truck
- Doors:
- 4 doors
- Drivetrain:
- 4X2
- Engine:
- 400 hp 3.5L V6
- Exterior color:
- Atlas Blue Metallic
- Combined gas mileage:
- 21 MPG
- Fuel type:
- Gasoline
- Interior color:
- Black W/Medium Dark Slate
- Transmission:
- Automatic
- Mileage:
- 15
- Stock #:
- F25024
- VIN:
- 1FTEX3K89SKD43550

2025 Ford F-150
XLT SuperCab RWD
New car
MSRP $53,235
$41,577
- Year:
- 2025
- Make:
- Ford
- Model:
- F-150
- Body type:
- Pickup Truck
- Doors:
- 2 doors
- Drivetrain:
- Four-Wheel Drive
- Engine:
- 400 hp 5L V8
- Exterior color:
- Agate Black Metallic
- Combined gas mileage:
- 20 MPG
- Fuel type:
- Gasoline
- Interior color:
- Black W/Medium Dark Slate
- Transmission:
- Automatic
- Mileage:
- 61
- Stock #:
- CT2F8783
- VIN:
- 1FTMF1L57SKF16456

2025 Ford F-150
XL Regular Cab 4WD
New car
MSRP $47,495
No Price Listed
- Year:
- 2026
- Make:
- Ford
- Model:
- F-150
- Body type:
- Pickup Truck
- Doors:
- 4 doors
- Drivetrain:
- Four-Wheel Drive
- Engine:
- 325 hp 2.7L V6
- Exterior color:
- Oxford White
- Combined gas mileage:
- 20 MPG
- Fuel type:
- Gasoline
- Interior color:
- Black W/Medium Dark Slate
- Transmission:
- Automatic
- Mileage:
- 11
- Stock #:
- RFC13300
- VIN:
- 1FTEW3LP1TFC13300

2026 Ford F-150
XLT SuperCrew 4WD
New car
MSRP $62,365
$48,846
- Year:
- 2026
- Make:
- Ford
- Model:
- F-150
- Body type:
- Pickup Truck
- Doors:
- 4 doors
- Drivetrain:
- Four-Wheel Drive
- Engine:
- 430 hp 3.5L V6 Hybrid
- Exterior color:
- Star White Metallic Tri-Coat
- Combined gas mileage:
- 23 MPG
- Fuel type:
- Hybrid
- Interior color:
- Black/Smoked Truffle
- Transmission:
- Automatic
- Mileage:
- 11
- Stock #:
- RFC50367
- VIN:
- 1FTFW5LD1TFC50367

2026 Ford F-150
Lariat SuperCrew 4WD
New car
MSRP $82,680
$68,564
- Year:
- 2026
- Make:
- Ford
- Model:
- F-150
- Body type:
- Pickup Truck
- Doors:
- 4 doors
- Drivetrain:
- Four-Wheel Drive
- Engine:
- 400 hp 3.5L V6
- Exterior color:
- Oxford White
- Combined gas mileage:
- 20 MPG
- Fuel type:
- Gasoline
- Interior color:
- Black
- Transmission:
- Automatic
- Mileage:
- 11
- Stock #:
- RFF43289
- VIN:
- 1FTFW5L81TKF43289

2026 Ford F-150
Lariat SuperCrew 4WD
New car
MSRP $73,865
$61,564
- Year:
- 2026
- Make:
- Ford
- Model:
- F-150
- Body type:
- Pickup Truck
- Doors:
- 4 doors
- Drivetrain:
- Four-Wheel Drive
- Engine:
- 400 hp 5L V8
- Exterior color:
- Carbonized Gray Metallic
- Combined gas mileage:
- 20 MPG
- Fuel type:
- Gasoline
- Interior color:
- Black
- Transmission:
- Automatic
- Mileage:
- 11
- Stock #:
- RFE76805
- VIN:
- 1FTFW5L50TKE76805

2026 Ford F-150
Lariat SuperCrew 4WD
New car
MSRP $71,550
$59,992
- Year:
- 2026
- Make:
- Ford
- Model:
- F-150
- Body type:
- Pickup Truck
- Doors:
- 4 doors
- Drivetrain:
- Four-Wheel Drive
- Engine:
- 325 hp 2.7L V6
- Exterior color:
- Gray
- Combined gas mileage:
- 20 MPG
- Fuel type:
- Gasoline
- Interior color:
- Black
- Transmission:
- Automatic
- Mileage:
- 3
- Stock #:
- TKE88891
- VIN:
- 1FTEW2LP8TKE88891

2026 Ford F-150
STX SuperCrew 4WD
New car
MSRP $58,145
$46,801
- Year:
- 2023
- Make:
- Ford
- Model:
- F-150
- Body type:
- Pickup Truck
- Doors:
- 4 doors
- Drivetrain:
- Four-Wheel Drive
- Engine:
- 420 hp 3.5L V6 Hybrid
- Exterior color:
- Black Metallic
- Combined gas mileage:
- 23 MPG
- Fuel type:
- Hybrid
- Interior color:
- Black
- Transmission:
- Automatic
- Mileage:
- 14,588
- Stock #:
- 4676A
- VIN:
- 1FTFW1ED2PFB98582

Sponsored Listing
2023 Ford F-150
Lariat SuperCrew 4WD
14,588 mi
$51,197
- Year:
- 2023
- Make:
- Ford
- Model:
- F-150
- Body type:
- Pickup Truck
- Doors:
- 4 doors
- Drivetrain:
- Four-Wheel Drive
- Engine:
- 420 hp 3.5L V6 Hybrid
- Exterior color:
- Black Metallic
- Combined gas mileage:
- 23 MPG
- Fuel type:
- Hybrid
- Interior color:
- Black
- Transmission:
- Automatic
- Mileage:
- 12,628
- Stock #:
- 9B3814
- VIN:
- 1FTFW1ED1PFD08456


Sponsored by Parks GMC Kernersville
2023 Ford F-150
XLT SuperCrew 4WD
12,628 mi
$40,077
- Year:
- 2023
- Make:
- Ford
- Model:
- F-150
- Body type:
- Pickup Truck
- Doors:
- 4 doors
- Drivetrain:
- Four-Wheel Drive
- Engine:
- 400 hp 5L V8 Flex Fuel Vehicle
- Exterior color:
- White
- Combined gas mileage:
- 19 MPG
- Fuel type:
- Flex Fuel Vehicle
- Interior color:
- Black
- Transmission:
- Automatic
- Mileage:
- 34,662
- Stock #:
- ST2262
- VIN:
- 1FTFW1E57PKG07742

Sponsored Listing
2023 Ford F-150
XLT SuperCrew 4WD
34,662 mi
$43,596
- Year:
- 2024
- Make:
- Ford
- Model:
- F-150
- Body type:
- Pickup Truck
- Doors:
- 4 doors
- Drivetrain:
- Four-Wheel Drive
- Engine:
- 430 hp 3.5L V6 Hybrid
- Exterior color:
- Blue Metallic
- Combined gas mileage:
- 23 MPG
- Fuel type:
- Hybrid
- Interior color:
- Java
- Transmission:
- Automatic
- Mileage:
- 26,597
- Stock #:
- RFB65315
- VIN:
- 1FTFW6LD8RFB65315

Sponsored Listing
2024 Ford F-150
King Ranch SuperCrew 4WD
26,597 mi
$58,422
- Year:
- 2026
- Make:
- Ford
- Model:
- F-150
- Body type:
- Pickup Truck
- Doors:
- 4 doors
- Drivetrain:
- Four-Wheel Drive
- Engine:
- 400 hp 3.5L V6
- Exterior color:
- Agate Black Metallic
- Combined gas mileage:
- 20 MPG
- Fuel type:
- Gasoline
- Interior color:
- Black W/Medium Dark Slate
- Transmission:
- Automatic
- Mileage:
- 5
- Stock #:
- 26B11965
- VIN:
- 1FTFX3L88TKD36528

2026 Ford F-150
XLT SuperCab 4WD
New car
MSRP $56,950
$48,192
- Year:
- 2026
- Make:
- Ford
- Model:
- F-150
- Body type:
- Pickup Truck
- Doors:
- 4 doors
- Drivetrain:
- Four-Wheel Drive
- Engine:
- 325 hp 2.7L V6
- Exterior color:
- Agate Black Metallic
- Combined gas mileage:
- 20 MPG
- Fuel type:
- Gasoline
- Interior color:
- Black
- Transmission:
- Automatic
- Mileage:
- 12
- Stock #:
- 26B12649
- VIN:
- 1FTEW2LP9TKE49923

2026 Ford F-150
STX SuperCrew 4WD
New car
MSRP $52,040
$45,192
- Year:
- 2026
- Make:
- Ford
- Model:
- F-150
- Body type:
- Pickup Truck
- Doors:
- 4 doors
- Drivetrain:
- Four-Wheel Drive
- Engine:
- 325 hp 2.7L V6
- Exterior color:
- Avalanche
- Combined gas mileage:
- 20 MPG
- Fuel type:
- Gasoline
- Interior color:
- Black
- Transmission:
- Automatic
- Mileage:
- 6
- Stock #:
- T68153
- VIN:
- 1FTEW2LP2TFB96100

2026 Ford F-150
STX SuperCrew 4WD
New car
MSRP $55,965
$44,002
- Year:
- 2023
- Make:
- Ford
- Model:
- F-150
- Body type:
- Pickup Truck
- Doors:
- 4 doors
- Drivetrain:
- Four-Wheel Drive
- Engine:
- 450 hp 3.5L V6
- Exterior color:
- Agate Black Metallic
- Combined gas mileage:
- 16 MPG
- Fuel type:
- Gasoline
- Interior color:
- Black
- Transmission:
- Automatic
- Mileage:
- 9,685
- Stock #:
- DTH7537A
- VIN:
- 1FTFW1RG6PFA12935

2023 Ford F-150
Raptor SuperCrew 4WD
9,685 mi
$68,685
- Year:
- 2026
- Make:
- Ford
- Model:
- F-150
- Body type:
- Pickup Truck
- Doors:
- 4 doors
- Drivetrain:
- Four-Wheel Drive
- Engine:
- 325 hp 2.7L V6
- Exterior color:
- Gray
- Combined gas mileage:
- 20 MPG
- Fuel type:
- Gasoline
- Transmission:
- Automatic
- Mileage:
- 0
- Stock #:
- T2503
- VIN:
- 1FTEW2LP4TFC44714

-$3,000
2026 Ford F-150
STX SuperCrew 4WD
New car
MSRP $55,570
$52,456
$49,456
- Year:
- 2025
- Make:
- Ford
- Model:
- F-150
- Body type:
- Pickup Truck
- Doors:
- 4 doors
- Drivetrain:
- 4X2
- Engine:
- 325 hp 2.7L V6
- Exterior color:
- Oxford White
- Combined gas mileage:
- 22 MPG
- Fuel type:
- Gasoline
- Interior color:
- Black
- Transmission:
- Automatic
- Mileage:
- 6
- Stock #:
- F25232
- VIN:
- 1FTEX2KP8SKF22907

2025 Ford F-150
STX SuperCab LB RWD
New car
MSRP $44,610
$36,577
- Year:
- 2026
- Make:
- Ford
- Model:
- F-150
- Body type:
- Pickup Truck
- Doors:
- 4 doors
- Drivetrain:
- 4X2
- Engine:
- 325 hp 2.7L V6
- Exterior color:
- Avalanche
- Combined gas mileage:
- 22 MPG
- Fuel type:
- Gasoline
- Interior color:
- Black
- Transmission:
- Automatic
- Mileage:
- 7
- Stock #:
- T68171
- VIN:
- 1FTEW2KP6TFC37460

2026 Ford F-150
STX SuperCrew RWD
New car
MSRP $52,085
$41,298
- Year:
- 2026
- Make:
- Ford
- Model:
- F-150
- Body type:
- Pickup Truck
- Doors:
- 4 doors
- Drivetrain:
- 4X2
- Engine:
- 325 hp 2.7L V6
- Exterior color:
- Gray Metallic
- Combined gas mileage:
- 22 MPG
- Fuel type:
- Gasoline
- Interior color:
- Black
- Transmission:
- Automatic
- Mileage:
- 3
- Stock #:
- T68179
- VIN:
- 1FTEW2KP3TKF42924

-$1,000
2026 Ford F-150
STX SuperCrew RWD
New car
MSRP $51,690
$40,938
$39,938
- Year:
- 2026
- Make:
- Ford
- Model:
- F-150
- Body type:
- Pickup Truck
- Doors:
- 4 doors
- Drivetrain:
- 4X2
- Engine:
- 325 hp 2.7L V6
- Exterior color:
- Black Metallic
- Combined gas mileage:
- 22 MPG
- Fuel type:
- Gasoline
- Interior color:
- Black
- Transmission:
- Automatic
- Mileage:
- 728
- Stock #:
- RFB33011X
- VIN:
- 1FTEW2KP5TFB33011

2026 Ford F-150
STX SuperCrew RWD
New car
MSRP $51,690
$38,488
- Year:
- 2026
- Make:
- Ford
- Model:
- F-150
- Body type:
- Pickup Truck
- Doors:
- 4 doors
- Drivetrain:
- Four-Wheel Drive
- Engine:
- 400 hp 5L V8
- Exterior color:
- Carbonized Gray Metallic
- Combined gas mileage:
- 20 MPG
- Fuel type:
- Gasoline
- Interior color:
- Black
- Transmission:
- Automatic
- Mileage:
- 11
- Stock #:
- RFC26390
- VIN:
- 1FTFW3L51TFC26390

2026 Ford F-150
XLT SuperCrew 4WD
New car
MSRP $70,220
$57,064
- Year:
- 2026
- Make:
- Ford
- Model:
- F-150
- Body type:
- Pickup Truck
- Doors:
- 4 doors
- Drivetrain:
- Four-Wheel Drive
- Engine:
- 430 hp 3.5L V6 Hybrid
- Exterior color:
- Star White Metallic Tri-Coat
- Combined gas mileage:
- 23 MPG
- Fuel type:
- Hybrid
- Interior color:
- Java
- Transmission:
- Automatic
- Mileage:
- 7
- Stock #:
- 20F38381
- VIN:
- 1FTFW6LD4TFC38381

2026 Ford F-150
King Ranch SuperCrew 4WD
New car
MSRP $82,530
$73,829
- Year:
- 2026
- Make:
- Ford
- Model:
- F-150
- Body type:
- Pickup Truck
- Doors:
- 4 doors
- Drivetrain:
- Four-Wheel Drive
- Engine:
- 325 hp 2.7L V6
- Exterior color:
- Oxford White
- Combined gas mileage:
- 20 MPG
- Fuel type:
- Gasoline
- Interior color:
- Black
- Transmission:
- Automatic
- Mileage:
- 11
- Stock #:
- RFE64211
- VIN:
- 1FTEW2LP5TKE64211

2026 Ford F-150
STX SuperCrew 4WD
New car
MSRP $53,865
$42,064
- Year:
- 2026
- Make:
- Ford
- Model:
- F-150
- Body type:
- Pickup Truck
- Doors:
- 4 doors
- Drivetrain:
- 4X2
- Engine:
- 325 hp 2.7L V6
- Exterior color:
- Carbonized Gray Metallic
- Combined gas mileage:
- 22 MPG
- Fuel type:
- Gasoline
- Interior color:
- Black
- Transmission:
- Automatic
- Mileage:
- 11
- Stock #:
- RFC45130
- VIN:
- 1FTEW2KP3TFC45130

-$7,695
2026 Ford F-150
STX SuperCrew RWD
New car
MSRP $51,690
$47,259
$39,564
- Year:
- 2025
- Make:
- Ford
- Model:
- F-150
- Body type:
- Pickup Truck
- Doors:
- 4 doors
- Drivetrain:
- 4X2
- Engine:
- 400 hp 3.5L V6
- Exterior color:
- Atlas Blue Metallic
- Combined gas mileage:
- 21 MPG
- Fuel type:
- Gasoline
- Interior color:
- Black W/Medium Dark Slate
- Transmission:
- Automatic
- Mileage:
- 15
- Stock #:
- F25024
- VIN:
- 1FTEX3K89SKD43550

2025 Ford F-150
XLT SuperCab RWD
New car
MSRP $53,235
$41,577
- Year:
- 2025
- Make:
- Ford
- Model:
- F-150
- Body type:
- Pickup Truck
- Doors:
- 2 doors
- Drivetrain:
- Four-Wheel Drive
- Engine:
- 400 hp 5L V8
- Exterior color:
- Agate Black Metallic
- Combined gas mileage:
- 20 MPG
- Fuel type:
- Gasoline
- Interior color:
- Black W/Medium Dark Slate
- Transmission:
- Automatic
- Mileage:
- 61
- Stock #:
- CT2F8783
- VIN:
- 1FTMF1L57SKF16456

2025 Ford F-150
XL Regular Cab 4WD
New car
MSRP $47,495
No Price Listed
- Year:
- 2026
- Make:
- Ford
- Model:
- F-150
- Body type:
- Pickup Truck
- Doors:
- 4 doors
- Drivetrain:
- Four-Wheel Drive
- Engine:
- 325 hp 2.7L V6
- Exterior color:
- Oxford White
- Combined gas mileage:
- 20 MPG
- Fuel type:
- Gasoline
- Interior color:
- Black W/Medium Dark Slate
- Transmission:
- Automatic
- Mileage:
- 11
- Stock #:
- RFC13300
- VIN:
- 1FTEW3LP1TFC13300

2026 Ford F-150
XLT SuperCrew 4WD
New car
MSRP $62,365
$48,846
- Year:
- 2026
- Make:
- Ford
- Model:
- F-150
- Body type:
- Pickup Truck
- Doors:
- 4 doors
- Drivetrain:
- Four-Wheel Drive
- Engine:
- 430 hp 3.5L V6 Hybrid
- Exterior color:
- Star White Metallic Tri-Coat
- Combined gas mileage:
- 23 MPG
- Fuel type:
- Hybrid
- Interior color:
- Black/Smoked Truffle
- Transmission:
- Automatic
- Mileage:
- 11
- Stock #:
- RFC50367
- VIN:
- 1FTFW5LD1TFC50367

2026 Ford F-150
Lariat SuperCrew 4WD
New car
MSRP $82,680
$68,564
- Year:
- 2026
- Make:
- Ford
- Model:
- F-150
- Body type:
- Pickup Truck
- Doors:
- 4 doors
- Drivetrain:
- Four-Wheel Drive
- Engine:
- 400 hp 3.5L V6
- Exterior color:
- Oxford White
- Combined gas mileage:
- 20 MPG
- Fuel type:
- Gasoline
- Interior color:
- Black
- Transmission:
- Automatic
- Mileage:
- 11
- Stock #:
- RFF43289
- VIN:
- 1FTFW5L81TKF43289

2026 Ford F-150
Lariat SuperCrew 4WD
New car
MSRP $73,865
$61,564
- Year:
- 2026
- Make:
- Ford
- Model:
- F-150
- Body type:
- Pickup Truck
- Doors:
- 4 doors
- Drivetrain:
- Four-Wheel Drive
- Engine:
- 400 hp 5L V8
- Exterior color:
- Carbonized Gray Metallic
- Combined gas mileage:
- 20 MPG
- Fuel type:
- Gasoline
- Interior color:
- Black
- Transmission:
- Automatic
- Mileage:
- 11
- Stock #:
- RFE76805
- VIN:
- 1FTFW5L50TKE76805

2026 Ford F-150
Lariat SuperCrew 4WD
New car
MSRP $71,550
$59,992
- Year:
- 2026
- Make:
- Ford
- Model:
- F-150
- Body type:
- Pickup Truck
- Doors:
- 4 doors
- Drivetrain:
- Four-Wheel Drive
- Engine:
- 325 hp 2.7L V6
- Exterior color:
- Gray
- Combined gas mileage:
- 20 MPG
- Fuel type:
- Gasoline
- Interior color:
- Black
- Transmission:
- Automatic
- Mileage:
- 3
- Stock #:
- TKE88891
- VIN:
- 1FTEW2LP8TKE88891

2026 Ford F-150
STX SuperCrew 4WD
New car
MSRP $58,145
$46,801
- Year:
- 2023
- Make:
- Ford
- Model:
- F-150
- Body type:
- Pickup Truck
- Doors:
- 4 doors
- Drivetrain:
- Four-Wheel Drive
- Engine:
- 420 hp 3.5L V6 Hybrid
- Exterior color:
- Black Metallic
- Combined gas mileage:
- 23 MPG
- Fuel type:
- Hybrid
- Interior color:
- Black
- Transmission:
- Automatic
- Mileage:
- 14,588
- Stock #:
- 4676A
- VIN:
- 1FTFW1ED2PFB98582

Sponsored Listing
2023 Ford F-150
Lariat SuperCrew 4WD
14,588 mi

















